# PageSpeed 
The super fast WordPress theme built using the super lite theme framework Helium.

### Installation
If you are downloading from here (GitHub), then 
1. Download the latest release from the [releases page](https://github.com/SwiftThemes/PageSpeed/releases)
2. Unzip the archive you downloaded.
3. Rename the folder to page-speed.
4. Archive/Zip it.
5. Go to your `WordPress dashboard` -> `Appearance` -> `Add Themes` -> `Upload theme` and upload the archive you created in the above step and activate it.
6. All customizations can be done from customizer @ `WordPress dashboard` -> `Appearance` -> `Customize`

**Note**: PageSpeed generates the stylesheet (page-speed.css) and writes to uploads folder when you update the theme options.
If you don't have read/write permissions on the server, it falls back to the default stylesheet included in the theme.

#### Get the design in screenshot
Make these changes in the customizer
1. Layout ->
    * Site Layout -> Centered
    * Layout Container -> Wide
2. Header -> Enable sleek header
2. Color Settings -> Color Schemes -> Amaranth
3. Typography ->
    * Add Lato with weight 300 and Questrial with weight 400/normal in Google Fonts #1 and #2
    * Set primary font 
        * Font stack to **Questrial, sans-serif**
        * Size to **17px**
        * Line height **1.7**
        * Weight **normal**
    * Set secondary font
        * Font stack to **'Lato', sans-serif**
        * Weight to **300**
        * Other two settings don't matter.
4. Thumbnails, Excerpts & Meta ->
    * Latest Posts Design ->
        * Homepage thumbnail size **640x0, Centered**
    
**Note**: Choose a logo that is 48px to 72px tall with 5-8px space above and below the logo if you are using sleek header.

###Complete user guide
The latest user guide can be fount at [PageSpeed Manual](https://swiftthemes.com/getting-started-pagespeed/)

#### Demos
1. [demos.SwiftThemes.Com](http://demos.swiftthemes.com)
1. [TheGeekDaily.Com](https://TheGeekDaily.Com)
1. [SatishGandham.Com](http://SatishGandham.Com)

#### Known issues
1. Google font selection in customizer is not working in safari browser.

#### FAQ
**Is the Helium framework related to gantry.org?**

Helium framework used in this theme is not related to gantry.org and we don't have any affiliation with them.

#### Credits
* Special thanks to [Carolina Nymark](http://theme.tips) {@poena} for patiently reviewing the theme :)

## Copyright and License

The following resources are included within the theme package.

* [scssphp](https://github.com/leafo/scssphp/) by Leaf Corcoran - Licensed under the [GPL VERSION 3](https://github.com/leafo/scssphp/blob/v0.0.12/LICENSE.md).
* [Hybrid Core](https://themehybrid.com/hybrid-core) by [Justin Tadlock](http://justintadlock.com) - licensed under the [GNU GPL](http://www.gnu.org/licenses/old-licenses/gpl-2.0.html), version 2 or later.
* [TGM Plugin Activation](http://tgmpluginactivation.com) by Thomas Griffin - Licensed under the [GPL-2.0 or Later](https://opensource.org/licenses/GPL-2.0).
* [Mobile Detect](http://mobiledetect.net) by Victor Stanciu - Licensed under the [ MIT License](http://www.opensource.org/licenses/mit-license.php).
* [Sticky](http://stickyjs.com) by [Anthony Garand](http://anthonygarand.com/) - Licensed under the [ MIT License](http://www.opensource.org/licenses/mit-license.php).
* Some bits of code from Twenty Seventeen and Twenty Sixteen - Licensed under GPLv2 or later. Copyright 2016 WordPress.org 
* bbPress*.css files located in /css are Licensed under the [GPL-2.0 or Later](https://opensource.org/licenses/GPL-2.0).

All other resources and theme elements are licensed under the [GNU GPL](http://www.gnu.org/licenses/old-licenses/gpl-2.0.html), version 2 or later.

2009&thinsp;&ndash;&thinsp;2018 &copy; [Satish Gandham](http://satishgandham.com).
